// ClassicArray.dcl 1.1.0

classicarray_rectangular : dialog {
  label = "ClassicArray Rectangular";
  : row {
    left_column_rect;
    right_column;
  }
  errtile;
}

classicarray_polar : dialog {
  label = "ClassicArray Polar";
  : row {
    left_column_polar;
    right_column;
  }
  errtile;
}

classicarray_path : dialog {
  label = "ClassicArray Path";
  : row {
    left_column_path;
    right_column;
  }
  errtile;
}

left_column_path : column {
  top_row;
  path_options_column;
  associative_row;
}

left_column_polar : column {
  top_row;
  polar_options_column;
  associative_row;
}

left_column_rect : column {
  top_row;
  rect_options_column;
  : spacer { height = 7.7; }
  associative_row;
}

rect_options_column : boxed_column {
  label = "Rectangular options";
  : row {
    : column {
      med_text;
      : med_text {
        label = "Column";
      }
      : med_text {
        label = "Row";
      }
      : med_text {
        label = "Level";
      }
      : med_text {
        label = "Angle";
      }
    }
    : column {
      : med_text {
        label = "Count";
      }
      : sml_edit_box {
        key = "col_number";
      }
      : sml_edit_box {
        key = "row_number";
      }
      lev_num;
      : spacer { height = 1.7; }
    }
    : column {
      : med_text {
        label = "Offset";
      }
      : med_edit_box {
        key = "col_dist";
      }
      : med_edit_box {
        key = "row_dist";
      }
      lev_edit;
      : med_edit_box {
        key = "rect_angle";
      }
    }
    : row {
      : column {
        : med_text {
          label = "Pick";
          height = 1.2;
        }
        : small_button {
          label = "X <";
          key = "col_pick_button";
        }
        : small_button {
          label = "Y <";
          key = "row_pick_button";
        }
        lev_button;
        : small_button {
          label = "A <";
          key = "angle_pick_button";
        }
      }
      : column {
        : med_text {
          height = 1.2;
        }
        : small_button {
          label = "XY <";
          key = "col_row_pick_button";
          height = 4;
        }
        : spacer { height = 4; }
      }
    }
  }
  object_base_point_column;
}

right_column : column {
  select;
  preview_image;
  spacer;
  ok_cancel_preview;
}

ok_cancel_preview : column {
  fixed_height = true;
  alignment = right;
  : ok_button { width = 25; }
  : cancel_button { width = 25; }
  preview_button;
  : row {
    about_button;
    : help_button { width = 12; }
  }
}

preview_image : image_button {
  key = "preview_image";
  height = 12;
  color = -18;
  fixed_height = true;
  fixed_width = true;
  aspect_ratio = 1.0;
  alignment = centered;
}

top_row : row {
  width = 66;
  : text {
    label = "Array type";
  }
  : radio_row {
    key = "array_type";
    : radio_button {
      label = "Rectangular";
      key = "rectangular";
    }
    : radio_button {
      label = "Polar";
      key = "polar";
    }
    : radio_button {
      label = "Path";
      key = "path";
    }
  }
}

select : column {
  fixed_height = true;
  : button {
    label = "Select Objects <";
    key = "select_button";
  }
  : text {
    key = "selected_text";
    width = 20;
  }
}

about_button : retirement_button {
  label = "About";
  key = "about_button";
  width = 12;
}

preview_button : retirement_button {
  label = "Preview <";
  key = "preview_button";
  width = 25;
}

small_button : retirement_button {
  width = 8;
  fixed_width = true;
}

sml_edit_box : edit_box {
  width = 6;
}

med_edit_box : edit_box {
  width = 15;
}

med_text : text {
  width = 8;
}

lev_num : sml_edit_box {
  key = "lev_number";
}

lev_edit : med_edit_box {
  key = "lev_dist";
}

lev_button : small_button {
  label = "Z <";
  key = "lev_pick_button";
}

lev_row : boxed_row {
  label = "Cylindrical array options";
  : text {
    label = "Levels";
  }
  lev_num;
  : text {
    label = "Offset";
  }
  lev_edit;
  : text {
    label = "Pick";
  }
  lev_button;
}

polar_options_column : boxed_column {
  label = "Polar options";
  center_row;
  polar_method_column;
  : row {
    rotate_toggle;
    clockwise_toggle;
  }
  object_base_point_column;
  lev_row;
}

center_row : row {
  : text {
    label = "Center point";
  }
  : med_edit_box {
    label = "X";
    key = "center_x_dist";
  }
  : med_edit_box {
    label = "Y";
    key = "center_y_dist";
  }
  : small_button {
    label = "C <";
    key = "center_pick_button";
  }
}

base_row : row {
  key = "base_row";
  : med_edit_box {
    label = "X";
    key = "base_x_dist";
  }
  : med_edit_box {
    label = "Y";
    key = "base_y_dist";
  }
  : med_edit_box {
    label = "Z";
    key = "base_z_dist";
  }
  : small_button {
    label = "B <";
    key = "base_pick_button";
  }
}

polar_method_column : boxed_column {
  label = "Method and values";
  polar_method_list;
  polar_items_row;
}

polar_method_list : row {
  : text {
    label = "Method:";
  }
  : popup_list {
    key = "polar_method_list";
    width = 35;
  }
}

polar_items_row : row {
  : column {
    : text {
      label = "Total number of items";
    }
    : text {
      label = "Angle to fill";
    }
    : text {
      label = "Angle between items";
    }
  }
  : column {
    : med_edit_box {
      key = "polar_item_number";
    }
    : med_edit_box {
      key = "polar_fill_angle";
    }
    : med_edit_box {
      key = "polar_between_angle";
    }
  }
  : column {
    : spacer { height = 2; }
    : small_button {
      label = "AF <";
      key = "fill_angle_pick_button";
    }
    : small_button {
      label = "AI <";
      key = "between_angle_pick_button";
    }
  }
}

rotate_toggle : toggle {
  label = "Rotate items as copied";
  key = "rotate_items_toggle";
}

clockwise_toggle : toggle {
  label = "Array clockwise";
  key = "clockwise_toggle";
}

base_toggle : toggle {
  label = "Set to object's default";
  key = "base_toggle";
}

associative_row : row {
  associative_toggle;
  retain_toggle;
}

associative_toggle : toggle {
  label = "Create as associative array";
  key = "associative_toggle";
}

retain_toggle : toggle {
  label = "Retain original objects";
  key = "retain_toggle";
}

object_base_point_column : boxed_column {
  label = "Base point";
  key = "base_point";
  base_toggle;
  base_row;
}

path_options_column : boxed_column {
  label = "Path options";
  path_select;
  path_method_column;
  path_align_column;
  path_lev_column;
}

path_method_column : boxed_column {
  label = "Method and values";
  path_method_list;
  : row {
    : column {
      : text {
        label = "Number of items";
      }
      : text {
        label = "Distance between items";
      }
      : text {
        label = "Distance to fill";
      }
    }
    : column {
      : med_edit_box {
        key = "path_item_number";
      }
      : med_edit_box {
        key = "path_between_dist";
      }
      : med_edit_box {
        key = "path_total_dist";
      }
    }
    : column {
      : spacer { height = 2; }
      : small_button {
        label = "D <";
        key = "between_distance_pick_button";
      }
      : small_button {
        label = "T <";
        key = "total_distance_pick_button";
      }
    }
  }
}

path_method_list : row {
  : text {
    label = "Method:";
  }
  : popup_list {
    key = "path_method_list";
    width = 35;
  }
}

path_lev_column : boxed_column {
  label = "3D path array options";
  : row {
    : text {
      label = "Levels";
    }
    lev_num;
    : text {
      label = "Offset";
    }
    lev_edit;
    : text {
      label = "Pick";
    }
    lev_button;
  }
}

path_z_direction_toggle : toggle {
  label = "Maintain Z direction";
  key = "path_z_direction_toggle";
}

path_align_toggle : toggle {
  label = "Align to path";
  key = "path_align_toggle";
}

path_select : row {
  fixed_height = true;
  : text {
    key = "path_selected_text";
    label = "No path selected";
    width = 25;
  }
  : button {
    label = "Select Path <";
    key = "path_select_button";
  }
}

path_align_column : column {
  : row {
    path_align_toggle;
    path_z_direction_toggle;
  }
  object_base_point_column;
}

classicarray_about : dialog {
  label = "About ClassicArray";
  : column {
    : paragraph {
      children_alignment = centered;
      : text { label = ""; key = "version_text"; }
      : text { label = ""; key = "register_text"; }
    }
    spacer;
    spacer;
    : paragraph {
      children_alignment = centered;
      : text { label = "Copyright  2011-2015 cad nauseam, all rights reserved."; }
      : text { label = "ClassicArray is a trademark of cad nauseam."; }
      : text { label = "www.cadnauseam.com  -  www.classicarray.com"; }
    }
    spacer;
    : row {
      about_contact_button;
      about_web_button;
      about_register_button;
      ok_button;
    }
  }
}

about_contact_button : button {
  label = "Contact";
  key = "about_contact_button";
}

about_register_button : button {
  label = "Registration";
  key = "about_register_button";
}

about_web_button : button {
  label = "Web / Purchase";
  key = "about_web_button";
}

classicarray_register : dialog {
  label = "Register ClassicArray";
  : paragraph {
    children_alignment = centered;
    : text { label = "Please enter the name under which you wish to"; }
    : text { label = "register ClassicArray and the Registration key"; }
    : text { label = "that was provided in your confirmation email."; }
  }
  spacer;
  : row {
    : column {
      : text { label = "Register to"; }
      : text { label = "Registration key"; }
    }
    : column {
      width = 30;
      : edit_box { key = "register_name"; }
      : edit_box { key = "register_key"; }
    }
  }
  spacer;
  : row {
    cancel_button;
    register_register_button;
  }
}

register_register_button : button {
  label = "Register";
  key = "register_register_button";
  width = 22;
}

// End ClassicArray.dcl
